classification
Title: Add gestalt back into Python 3.0
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, brett.cannon
Priority: release blocker Keywords: patch

Created on 2008-05-14 20:09 by brett.cannon, last changed 2008-05-29 21:25 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
gestalt_is_back.patch benjamin.peterson, 2008-05-15 21:32
gestalt_is_back2.patch benjamin.peterson, 2008-05-18 20:54
Messages (9)
msg66828 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-14 20:09
gestalt was removed as part of the stdlib cleanup for Mac code. But it 
turns out that gestalt is one of those modules that is just needed. Either 
the original version needs to be added back in or a ctypes version needs 
to be implemented. Either way, something to get system info needs to be 
added back into the stdlib (and probably go into plat-darwin).
msg66831 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-14 20:27
Actually, the plat-darwin comment is not right if the original C version 
is kept since that would just end up in Modules.
msg66832 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-14 20:37
Does it have to be public? How about _gestalt?
msg66836 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-14 23:10
On Wed, May 14, 2008 at 1:37 PM, Benjamin Peterson
<report@bugs.python.org> wrote:
>
> Benjamin Peterson <musiccomposition@gmail.com> added the comment:
>
> Does it have to be public? How about _gestalt?
>

That's fine by me. If someone really cares enough they can document it
themselves.
msg66837 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-15 01:01
I feel kinda bad about removing the module without noting how it was
used in platform.py, so I'll deal with this.
msg66838 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-15 01:02
On Wed, May 14, 2008 at 6:01 PM, Benjamin Peterson
<report@bugs.python.org> wrote:
>
> Benjamin Peterson <musiccomposition@gmail.com> added the comment:
>
> I feel kinda bad about removing the module without noting how it was
> used in platform.py, so I'll deal with this.
>

While I am not going to stop you dealing with it, you shouldn't feel
bad. It would have been best had a test case in test_platform picked
this up (if you can it would be great to toss a test in).
msg66878 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-15 21:32
Here's a patch. I moved gestalt to Modules and renamed it _gestalt. I
inlined the few lines of pymactoolbox that I needed, so that doesn't
have to come back.
msg67076 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-19 21:03
This is just a reminder to myself that when this is checked in, I need
to unblock and merge r63460 and r63464.
msg67512 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-29 21:25
_gestalt was added in 63795.
History
Date User Action Args
2008-05-29 21:27:20benjamin.petersonunlinkissue2775 dependencies
2008-05-29 21:25:47benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg67512
2008-05-19 21:03:40benjamin.petersonsetmessages: + msg67076
2008-05-18 20:54:27benjamin.petersonsetfiles: + gestalt_is_back2.patch
2008-05-15 21:32:33benjamin.petersonsetfiles: + gestalt_is_back.patch
keywords: + patch
messages: + msg66878
2008-05-15 01:02:51brett.cannonsetmessages: + msg66838
2008-05-15 01:01:19benjamin.petersonsetassignee: benjamin.peterson
messages: + msg66837
2008-05-14 23:10:20brett.cannonsetmessages: + msg66836
2008-05-14 20:37:33benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg66832
2008-05-14 20:27:19brett.cannonsetmessages: + msg66831
2008-05-14 20:10:02brett.cannonlinkissue2775 dependencies
2008-05-14 20:09:37brett.cannoncreate